# CMxInternationalizedStringArray Class

Namespace: `ArchestrA.Toolkit`

CMxInternationalizedStringArray is derived from CMxArray and provides support for Arrays of Internationalized Strings.

**Syntax**

```csharp
public class CMxInternationalizedStringArray : CMxArray<string>
```

## CMxInternationalizedStringArray Properties

### Locale Property

Provides a property to gets or set the current locale.

**Syntax**

```csharp
public int Locale { get; set; }
```

**Returns**

int

### Value Property

Provides a property to get and set the value of the current locale as an array of strings.

**Syntax**

```csharp
public string[] Value { get; set; }
```

**Returns**

string[ ]

### Property to get and set current locale as a string

Provides a property to get and set value of a specified element of the current locale as a string.

**Syntax**

```csharp
public string this[short i] { get; set; }
```

**Returns**

string

## CMxInternationalizedStringArray Constructors

### CMxInternationalizedStringArray Constructor int

Provides a constructor to initialize the array to a default length.

**Syntax**

```csharp
public CMxInternationalizedStringArray(int length);
```

**Parameters**

**`length`**

[in] int value that holds the array length.

### CMxInternationalizedStringArray Constructor string[]

Provides a constructor to initialize the array with an array of strings.

**Syntax**

```csharp
public CMxInternationalizedStringArray(string[] value);
```

**Parameters**

**`value`**

[in] string[ ].

### CMxInternationalizedStringArray Constructor SupportWrapper, string

Provides a constructor to initialize the class for use in a primitive wrapper.

**Syntax**

```csharp
public CMxInternationalizedStringArray(SupportWrapper _wrapper, string _attributeRef);
```

**Parameters**

**`_wrapper`**

[in] SupportWrapper.

**`_attributeRef`**

[in] string value that holds the attribute reference.

## CMxInternationalizedStringArray Methods

### GetString Method

Provides a method to get the value of an element by locale.

**Syntax**

```csharp
public string GetString(short index, int _locale);
```

**Parameters**

**`index`**

[in] index of the element.

**`locale`**

[in] int value that holds the locale.

**Returns**

string

### GetStrings Method

Provides a method to get the value of all elements by locale.

**Syntax**

```csharp
public string[] GetStrings(int _locale);
```

**Parameters**

**`locale`**

[in] Int value that holds the locale.

**Returns**

string[ ]

### SetString Method

Provides a method to set the value of a element by locale.

**Syntax**

```csharp
public void SetString(short index, int _locale, string val);
```

**Parameters**

**`index`**

[in] index of the element.

**`locale`**

[in] Int value that holds the locale to be set.

**`val`**

[in] string that holds the value to be set.

### Set Method

Provides a method to set the value of the Attribute from a CMxInternationalizedStringArray.

**Syntax**

```csharp
public void Set(CMxInternationalizedStringArray newValue);
```

**Parameters**

**`val`**

[in] CMxInternationalizedStringArray value to be set.

## CMxInternationalizedStringArray Operator Overloads

### string[ ] Operator Overload

Provides an operator that converts from CMxInternationalizedStringArray to string array.

**Syntax**

```csharp
public static implicit operator string[](CMxInternationalizedStringArray val);
```

**Parameters**

**`val`**

[in] CMxInternationalizedStringArray instance value.

**Returns**

string[ ]

### CMxValue Operator Overload

Provides an operator that converts from CMxInternationalizedStringArray to CMxValue.

**Syntax**

```csharp
public static implicit operator CMxValue(CMxInternationalizedStringArray val);
```

**Parameters**

**`val`**

[in] CMxInternationalizedStringArray instance value.

**Returns**

CMxValue

### CMxStringArray Operator Overload

Provides an operator that converts from CMxInternationalizedStringArray to CMxStringArray.

**Syntax**

```csharp
public static implicit operator CMxStringArray(CMxInternationalizedStringArray val);
```

**Parameters**

**`val`**

[in] CMxInternationalizedStringArray instance value.

**Returns**

CMxStringArray

### CMxInternationalizedStringArray Operator Overload CMxStringArray

Provides an operator that converts from CMxStringArray to CMxInternationalizedStringArray.

**Syntax**

```csharp
public static implicit operator CMxInternationalizedStringArray(CMxStringArray val);
```

**Parameters**

**`val`**

[in] CMxStringArray instance value.

**Returns**

CMxInternationalizedStringArray

### CMxInternationalizedStringArray Operator Overload CMxValue

Provides an operator that converts from CMxValue to CMxInternationalizedStringArray.

**Syntax**

```csharp
public static implicit operator CMxInternationalizedStringArray(CMxValue val);
```

**Parameters**

**`val`**

[in] CMxValue instance value.

**Returns**

CMxInternationalizedStringArray

### CMxInternationalizedStringArray Operator Overload string[ ]

Provides an operator that converts from string array to CMxInternationalizedStringArray.

**Syntax**

```csharp
public static implicit operator CMxInternationalizedStringArray(string[] val);
```

**Parameters**

**`val`**

[in] string[ ].

**Returns**

CMxInternationalizedStringArray
